# Functor Gml.Parse

    module Parse: functor (B : Builder.S) -> functor (L : sigval node : Gml.value_list -> B.G.V.label
    How to build the node label out of the set of GML attributes.
    	   For example node [ id 12 label "foo" ]  will call this
    	   function with ["id", Int 12; "label", String "foo"]

    val edge : Gml.value_list -> B.G.E.label
    How to build the edge label out of the set of GML attributes

    end) -> sig .. end

Provide a parser for GML file format.

Parameters:

`B` | : | `Builder.S`
`L` | : | `sig val node : value_list -> B.G.V.label (** How to build the node label out of the set of GML attributes. For example {v node [ id 12 label "foo" ] v} will call this function with [["id", Int 12; "label", String "foo"]] *) val edge : value_list -> B.G.E.label (** How to build the edge label out of the set of GML attributes *) end`

    val parse : string -> B.G.t